variable "scaleway_access_key" {
  description = "Scaleway Access key"
  type        = string
  sensitive   = true
}

variable "scaleway_secret_key" {
  description = "Scaleway Secret key"
  type        = string
  sensitive   = true
}

variable "scaleway_project_id" {
  description = "Scaleway Project Id"
  type        = string
  sensitive   = true
}

variable "scaleway_organization_id" {
  description = "Scaleway Organization Id"
  type        = string
  sensitive   = true
}

variable "scaleway_user_id" {
  description = "Scaleway User Id"
  type        = string
  sensitive   = true
}

variable "encryption_key" {
  description = "Encryption key for sensitive data"
  type        = string
  sensitive   = true
}

variable "bucket_suffix" {
  description = "Suffix for bucket names"
  type        = string
  sensitive   = true
}

variable "system_id" {
  description = "System ID"
  type        = string
  sensitive   = true
}
